all:wsserver json_serialize mysql_connect

wsserver:wsserver.cc
	g++ -o $@ $^ -std=c++11 -lpthread -lboost_system

json_serialize:json_serialize.cc
	g++ -o $@ $^ -std=c++11 -ljsoncpp

mysql_connect:mysql_connect.cc
	g++ -o $@ $^ -std=c++11 -lmysqlclient -L/usr/lib64/mysql/

.PHONY:clean
clean:
	rm -f wsserver json_serialize mysql_connect